{% extends 'base.html.twig' %}

{% block title %}Hello!{% endblock %}

{% block body %}

    <main>
        <div class="container-fluid">
            <h2>Stundenplanänderungen für Montag, den {{ date }}</h2>

            <table class="table table-borderless table-striped table-sm">
                <thead>
                <tr>
                    <th scope="col">Stunde</th>
                    <th scope="col">Fach</th>
                    <th scope="col">Lehrer</th>
                    <th scope="col">Klasse</th>
                    <th scope="col">Vertretungsfach</th>
                    <th scope="col">Vertretungslehrer</th>
                    <th scope="col">Vertretungsraum</th>
                    <th scope="col">Aktionen</th>
                    <th scope="col">Informationen</th>

                </tr>
                </thead>
                <tbody>
                {% for TimeTableModification in repository %}
                    <tr>
                        <td>{{ TimeTableModification.time }}</td>
                        <td>{{ TimeTableModification.class }}</td>
                        <td>{{ TimeTableModification.subject }}</td>
                        <td>{{ TimeTableModification.teacher }}</td>
                        <td>{{ TimeTableModification.changedSubject }}</td>
                        <td>{{ TimeTableModification.changedTeacher }}</td>
                        <td>{{ TimeTableModification.changedRoom }}</td>
                        <td>{{ TimeTableModification.info }}</td>

                        <td>
                            <a href="{{ path('app_timetablemodificationadmin_timetablemodificationedit', {id: TimeTableModification.id}) }}" class="btn btn-success btn-sm" role="button">Bearbeiten</a>
                            <a href="{{ path('app_timetablemodificationadmin_timetablemodificationdeletebyid', {id: TimeTableModification.id}) }}" class="btn btn-danger btn-sm" role="button">Löschen</a>
                        </td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
            <a href="#" class="btn btn-outline-primary btn-lg" role="button">Eintrag hinzufügen</a>

        </div>
    </main>

{% endblock %}
